Arg.h File Reference
`#include <string>`
`#include <vector>`
`#include <list>`
`#include <iostream>`
`#include <iomanip>`
`#include <cstdio>`
`#include <tclap/sstream.h>`
`#include <tclap/ArgException.h>`
`#include <tclap/Visitor.h>`
`#include <tclap/CmdLineInterface.h>`
`#include <tclap/ArgTraits.h>`
`#include <tclap/StandardTraits.h>`
Include dependency graph for Arg.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | TCLAP::Arg
| A virtual base class that defines the essential data for all arguments. More...

## Namespaces

| TCLAP

## Macros

#define | TCLAP_FLAGSTARTCHAR '-'
| The char that indicates the beginning of a flag. More...
#define | TCLAP_FLAGSTARTSTRING "-"
| The sting that indicates the beginning of a flag. More...
#define | TCLAP_NAMESTARTSTRING "--"
| The sting that indicates the beginning of a name. More...

## Typedefs

typedef std::list< Arg * >::const_iterator | TCLAP::ArgListIterator
| Typedef of an Arg list iterator. More...
typedef std::vector< Arg * >::const_iterator | TCLAP::ArgVectorIterator
| Typedef of an Arg vector iterator. More...
typedef std::list< Visitor * >::const_iterator | TCLAP::VisitorListIterator
| Typedef of a Visitor list iterator. More...

## Functions

template<typename T >
void | TCLAP::ExtractValue (T &destVal, const std::string &strVal, ValueLike vl)
template<typename T >
void | TCLAP::ExtractValue (T &destVal, const std::string &strVal, StringLike sl)

## Macro Definition Documentation

## TCLAP_FLAGSTARTCHAR

#define TCLAP_FLAGSTARTCHAR '-'

The char that indicates the beginning of a flag.

Defaults to '-', but clients can define TCLAP_FLAGSTARTCHAR to override.

Definition at line 215 of file Arg.h.

## TCLAP_FLAGSTARTSTRING

#define TCLAP_FLAGSTARTSTRING "-"

The sting that indicates the beginning of a flag.

Defaults to "-", but clients can define TCLAP_FLAGSTARTSTRING to override. Should be the same as TCLAP_FLAGSTARTCHAR.

Definition at line 225 of file Arg.h.

## TCLAP_NAMESTARTSTRING

#define TCLAP_NAMESTARTSTRING "--"

The sting that indicates the beginning of a name.

Defaults to "--", but clients can define TCLAP_NAMESTARTSTRING to override.

Definition at line 234 of file Arg.h.